## net.sf.saxon.om
Class NamePool.NamePoolLimitException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  net.sf.saxon.om.NamePool.NamePoolLimitException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  NamePool

    public static class NamePool.NamePoolLimitException

extends java.lang.RuntimeException

Uncaught Exception raised when some limit in the design of the name pool is exceeded

See Also:
  Serialized Form

Constructor Summary
`NamePool.NamePoolLimitException(java.lang.String message)` Create the exception

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamePool.NamePoolLimitException

    public NamePool.NamePoolLimitException(java.lang.String message)

  Create the exception

  Parameters:
    `message` - the error message associated with the error

Copyright (c) Saxonica Limited. All rights reserved.